@import "variables";
@import "functions";

/*================== HEADER ==================*/
html, 
body {
  overflow-x: hidden;
}

.header {
  font-weight: 500;
  .offer {
    font-size: 0.75rem;
    .icon {
      @include icon-size(16px, 1px);
    }
  }
  .navbar-collapse {
    .navbar-nav {
      &:nth-child(-n + 2) {
        font-size: 0.75rem;
        .dropdown {
          &:hover {
            > .dropdown-menu {
              @media (min-width: 1200px) {
                display: block;
              }
            }
          }
          &-center {
            @media (min-width: 1200px) {
              position: relative;
              &::before {
                content: "";
                width: 1px;
                height: 0.75rem;
                background: #e5e5e5;
                position: absolute;
                top: 50%;
                left: 0;
                transform: translateY(-50%);
              }
              &::after {
                content: "";
                width: 1px;
                height: 0.75rem;
                background: #e5e5e5;
                position: absolute;
                top: 50%;
                right: 0;
                transform: translateY(-50%);
              }
            }
          }
          .dropdown-toggle {
            &:active {
              @media (min-width: 1200px) {
                pointer-events: none;
              }
            }
            &::after {
              display: none;
            }
            .icon {
              @include icon-size(14px, 0);
            }
          }
          .dropdown-menu {
            background: color(light);
            border: none;
            border-radius: 0;
            font-size: 0.75rem;
            @media (min-width: 1200px) {
              min-width: auto;
              left: 50%;
              transform: translateX(-50%);
              background: #fff;
              border: 1px solid color(light);
            }
            .dropdown-item:hover {
              background: color(light);
            }
            .dropdown-divider {
              display: none;
              @media (min-width: 1200px) {
                display: block;
              }
            }
          }
        }
        .nav-link {
          padding: 0.5rem 1rem;
          @media (min-width: 1200px) {
            padding: 0 1rem;
          }
          &:hover {
            color: #000;
          }
        }
      }
      &:nth-child(3) {
        .nav-item {
          :hover {
            > .icon {
              color: #000;
            }
          }
          .nav-link {
            padding: 0;
            .icon {
              @include icon-size(15px, 0);
            }
          }
        }
      }
    }
  }
}
/*================== HEADER ==================*/

/*================== NAVBAR ==================*/
.navbar-main {
  .brand {
    font-size: font-size(brand);
    font-weight: bold;
  }
  .navbar-collapse {
    font-weight: $font-weight-heading;
    .navbar-nav {
      &:nth-child(1) {
        font-size: 0.95rem;
        .dropdown {
          position: static;
          &:hover {
            > .dropdown-menu {
              @media (min-width: 992px) {
                display: block;
              }
            }
          }
          .dropdown-toggle {
            &:active {
              @media (min-width: 992px) {
                pointer-events: none;
              }
            }
            &::after {
              display: none;
            }
            .icon {
              @include icon-size(16px, 1px);
            }
          }
          .dropdown-menu {
            border: none;
            transition: all 0.3s;
            @media (min-width: 992px) {
              animation: dropdown 0.3s;
              animation-fill-mode: forwards;
              &::before {
                content: "";
                position: absolute;
                bottom: 100%;
                height: calc(1.5rem + 1px);
                width: 100%;
              }
            }
            .nav-tabs {
              border: none;
              .nav-link {
                border: none;
                padding-left: 0.75rem;
                padding-right: 0.75rem;
                &.active {
                  color: color(orange);
                  border-bottom: 1px solid color(orange);
                }
              }
            }
            .card {
              border: none;
              .card-body {
                padding-left: 0;
                padding-right: 0;
                .tab-pane .cate-list {
                  list-style: none;
                  padding: 0;
                  li {
                    margin-top: 0.5rem;
                    a {
                      color: #444;
                      font-size: 0.9rem;
                      &:hover {
                        color: #000;
                      }
                    }
                  }
                }
              }
            }
          }
        }
        .nav-link {
          padding-left: 1rem;
          padding-right: 1rem;
        }
      }
      &:nth-child(2) {
        .shopping-cart {
          position: relative;
          &::after {
            content: "2";
            display: inline-block;
            width: 16px;
            line-height: 16px;
            color: #fff;
            background: color(orange);
            border-radius: 50%;
            text-align: center;
            font-size: 11px;
            position: absolute;
            top: 12%;
            left: 55%;
          }
        }
        .icon {
          @include icon-size(17px, 0);
        }
      }
    }
  }
}
/*================== NAVBAR ==================*/

/*================== EVENT ==================*/
.event .alert {
  border: none;
  background: #000;
  font-size: 0.9rem;
  font-weight: $font-weight-heading;
  border-radius: 0;
}
/*================== EVENT ==================*/

/*================== CATEGORIES ==================*/
.categories {
  .slider {
    .category {
      position: relative;
      background-position: center center;
      background-repeat: no-repeat;
      background-size: cover;
      min-height: 500px;
      outline: none;
      &:hover {
        .btn::after {
          background: rgba(0, 0, 0, 0.1);
        }
      }
      .card {
        background: transparent;
        border: none;
        min-height: 500px;
        .heading {
          color: #fff;
          font-size: 3rem;
          font-weight: $font-weight-heading;
        }
        .btn {
          &:hover {
            .icon {
              transform: translateX(5px);
            }
          }
          &::after {
            content: "";
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            transition: all 0.3s;
          }
          .icon {
            @include icon-size(16px, 2px);
            transition: all 0.3s;
          }
        }
      }
    }
  }
}
/*================== CATEGORIES ==================*/

/*================== FEATURES ==================*/
.features {
  .icon {
    @include icon-size(20px, 0);
    color: #ff6f61;
  }
  .content {
    .heading {
      font-size: 0.9rem;
      font-weight: $font-weight-heading;
    }
    .sub-heading {
      font-size: 0.85rem;
      color: #666;
    }
  }
}
/*================== FEATURES ==================*/

/*================== BEST PICK ==================*/
.best-picks {
  .heading {
    .pre-heading {
      color: #666;
      font-weight: bold;
      font-size: 0.9rem;
    }
    .main-heading {
      font-weight: $font-weight-heading;
      margin: 1rem 0;
    }
  }
  .card {
    position: relative;
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: cover;
    border: none;
    min-height: 470px;
    transition: all 0.3s;
    &:hover {
      background-position: -10px 0;
    }
    .card-body {
      .btn {
        color: #000;
        font-weight: $font-weight-heading;
        padding-left: 2px;
        padding-right: 2px;
        &:hover {
          .icon {
            transform: translateX(5px);
          }
        }
        &::after {
          content: "";
          display: block;
          position: absolute;
          top: 0;
          left: 0;
          right: 0;
          bottom: 0;
        }
        .icon {
          @include icon-size(16px, 1px);
          transition: all 0.3s;
        }
      }
    }
  }
}
/*================== BEST PICK ==================*/

/*================== TOP SELLERS ==================*/
.top-sellers {
  .main-heading {
    font-weight: $font-weight-heading;
  }
  .nav-tabs {
    border: none;
    .nav-link {
      border: none;
      color: #000;
      font-weight: $font-weight-heading;
      transition: all 0.3s;
      &.active {
        border-bottom: 1px solid color(orange);
        color: color(orange);
      }
    }
  }
  .tab-content {
    .card {
      border: none;
      .card-img {
        position: relative;
        cursor: pointer;
        &:hover {
          .btn {
            animation: cardImgHover 0.3s ease forwards;
          }
        }
        .card-actions {
          position: absolute;
          bottom: 0;
          left: 0;
          right: 0;
          padding: 1rem;
          .btn {
            background: #fff;
            transition: all 0.3s;
            opacity: 0;
            padding: 8px 12px;
            &:hover {
              background: color(orange);
              .icon {
                color: #fff;
              }
            }
            .icon {
              @include icon-size(16px, 0);
            }
          }
        }
        .badge {
          position: absolute;
          top: 1.25rem;
          left: 0;
          border-radius: 0;
          color: #fff;
          &-sale {
            background: #000;
          }
          &-new {
            background: color(orange);
          }
        }
      }
      .card-body {
        font-size: 0.9rem;
        .price {
          color: #777;
          .old {
            text-decoration: line-through;
          }
          .new {
            color: color(orange);
          }
        }
      }
    }
  }
  .btn-more {
    position: relative;
    font-weight: $font-weight-heading;
    border-radius: 0;
    overflow: hidden;
    &:hover {
      .border-bottom {
        animation: btnMore 0.3s ease forwards;
      }
    }
    .border-bottom {
      position: absolute;
      bottom: 0;
      right: 0;
      width: 100%;
      height: 2px;
      background: #000;
      transition: all 0.3s;
      transform: translateX(100%);
    }
  }
}
/*================== TOP SELLERS ==================*/

/*================== COUNTDOWN ==================*/
.countdown {
  padding: 8rem 0;
  background: url("../images/cover-count.jpg") no-repeat center center;
  background-size: cover;
  min-height: 60vh;
  .container {
    height: 30vh;
    .counter {
      font-weight: bold;
      &-line1 {
        font-size: 2.3rem;
        color: color(orange);
      }
      &-line2 {
        color: #777;
        font-size: .85rem;
      }
    }
    .btn {
      background: #000;
      color: #fff;
      &:hover {
        .icon {
          transform: translateX(5px);
        }
      }
      .icon {
        @include icon-size(20px, 2px);
        transition: all 0.3s;
      }
    }
  }
}
/*================== COUNTDOWN ==================*/

/*================== REVIEWS ==================*/
.reviews {
  .heading {
    .pre-heading {
      color: #666;
      font-weight: bold;
      font-size: 0.9rem;
    }
    .main-heading {
      font-weight: $font-weight-heading;
      margin: 1rem 0;
    }
  }
  .card {
    margin: 0 1rem;
    outline: none;
    .card-body {
      padding: 1.5rem;
      .icon {
        @include icon-size(16px, 0);
        color: color(orange);
        fill: color(orange);
      }
      .blockquote {
        font-size: 0.95rem;
      }
    }
  }
}
/*================== REVIEWS ==================*/

/*================== SHOPPER ==================*/
.shopper {
  background: color(light);
  .heading {
    .main-heading {
      font-weight: $font-weight-heading;
      margin: 1rem 0;
    }
  }
  .card {
    margin: 0 0.2rem;
    border: none;
    position: relative;
    a {
      color: #fff;
      transition: all 0.3s;
      cursor: pointer;
      &:hover {
        background: rgba(0, 0, 0, 0.3);
        span {
          display: inline;
        }
      }
      span {
        display: none;
        transition: all 0.3s;
        margin: 0 2px;
        .icon {
          @include icon-size(18px, 2px);
        }
      }
    }
  }
}
/*================== SHOPPER ==================*/

/*================== FOOTER ==================*/
.footer {
  background: black;
  .form {
    .form-control {
      border: none;
      border-radius: 0;
      padding: 0.8rem 1.5rem;
      height: auto;
      background: #303030;
      color: #fff;
      &:focus {
        box-shadow: none;
      }
    }
    .btn {
      border: none;
      border-radius: 0;
      padding: 0.8rem 0;
      height: auto;
      background: #525252;
      color: #fff;
      font-weight: $font-weight-heading;
    }
  }
  .list-unstyled {
    li {
      margin-bottom: 5px;
      a {
        color: #bababa;
      }
    }
  }
}
/*================== FOOTER ==================*/

/*================== MODALS ==================*/

/* Product details */
#productDetails {
  .modal-content {
    position: relative;
    .close {
      position: absolute;
      top: 1rem;
      right: 1rem;
      z-index: 1000;
    }
    .content {
      .icon {
        @include icon-size(16px, 1px);
      }
      .heading {
        font-weight: $font-weight-heading;
      }
      .price {
        color: #777;
        .old {
          text-decoration: line-through;
        }
        .new {
          color: color(orange);
        }
      }
      .form-group {
        > p {
          font-weight: 500;
        }
        .custom-control {
          position: relative;
          margin-right: 1rem;
          .custom-control-input:checked {
            & + .custom-control-label .bg-cover::after {
              opacity: 1;
            }
            & + .size-label {
              border: 2px solid #000;
            }
          }
          .custom-control-label {
            width: 80px;
            height: 80px;
            cursor: pointer;
            &::before,
            &::after {
              left: 0;
              z-index: -1;
            }
            .bg-cover {
              background-position: center center;
              background-repeat: no-repeat;
              background-size: cover;
              position: relative;
              &::after {
                content: "";
                display: block;
                width: 100%;
                height: 2px;
                background: #000;
                position: absolute;
                bottom: 0;
                opacity: 0;
              }
            }
            &.size-label {
              width: 50px;
              height: 50px;
              line-height: 50px;
              text-align: center;
              font-weight: 500;
              border: 2px solid #999;
            }
          }
        }
        .form-quantity {
          border: 1px solid #000;
        }
        .icon {
          @include icon-size(16px, 1px);
        }
      }
    }
  }
}
/* Product details */

/*================== MODALS ==================*/



@keyframes dropdown {
  from {
    transform: translateY(10%);
    opacity: 0.5;
  }
  to {
    transform: translateY(-1%);
    opacity: 1;
  }
}

@keyframes cardImgHover {
  from {
    opacity: 0.5;
    transform: translateY(40%);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes btnMore {
  from {
    transform: translateX(100%);
  }
  to {
    transform: translateX(0);
  }
}
